
<div *ngIf="rank">
    <h2><span jhiTranslate="typerApp.rank.detail.title">Rank</span></h2>
    <table class="table">
        <thead>
        <tr>
            <th scope="col"><span jhiTranslate="typerApp.rank.detail.place">place</span></th>
            <th scope="col"><span jhiTranslate="typerApp.rank.detail.user">user</span></th>
            <th scope="col"><span jhiTranslate="typerApp.rank.detail.points">points</span></th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let entry of rank | keys; let i = index;">
            <td>{{i+1}}</td>
            <td>{{entry.key}}</td>
            <td>{{entry.value}}</td>
        </tr>
        </tbody>
    </table>
    <button type="submit"
            routerLink="/rank"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>
</div>
